Ainda não tem acesso? Estude com a gente! Matricule-se
Ainda não tem acesso? Estude com a gente! Matricule-se

Solucionado (ver solução)

Erro em todas as classes do projeto.

todas as minhas classes estão com erro.

Segue print para facilitar visualização: https://image.ibb.co/fjVs2J/Print_eclipse.png

É problema de falta de pacote? Não estou entendendo muito bem

6 respostas

Oi lucas, vi que você está utilizando o Tomcat 9.0 e no curso é usado o Tomcat 7.0 . Clique com o botão direito no seu projeto e vá em Properties. No meu esquerdo, procure por Project Facets e procure no meu direito uma aba chamada Runtimes - repare que o Tomcat 7.0 vai estar selecionado e você deve mudar para o Tomcat 9.0 para funcionar e clicar em Apply.

Veja se isso resolve o problema. Aguardo seu feedback!

Oi Thais, eu fiz o que você falou mas continua dando o mesmo erro. tentei utilizar o Tomcat 7.0 mas o erro é o mesmo

Certo, você adicionou o projeto no servidor? Clique com o botão direito no Tomcat (na aba 'Servers') e clique em Add and Remove. Vai abrir uma janela e você deve selecionar o projeto na caixa esquerda e clicar no botão Add >. Depois inicie o servidor e veja se funciona.

Oi Thais, já adicionei sim, quando clico em add ou remover ele já esta do lado direito em configured.

Esse tipo de erro acontece quando a IDE não está configurada para acessar a JDK no Classpath. Não uso o Eclipse mas dá uma olhada nas configurações do seu projeto pra ver se é isso mesmo e dá uma olhada nisso aqui:https://stackoverflow.com/questions/13635563/setting-jdk-in-eclipse

solução

Obrigado Mathw!

Tinha haver com o jdk, a jre q o arquivo estava usando era a versão 1.7, só q a oracle nem disponibiliza mais essa versão, eu tiver q deletar a jre do projeto e add a versão atual.

vou colocar essa resposta como solução, pq se alguem tiver um problema semelhante, é só ir nas propriedades do projeto, em java build path, e library, ai apagar a jre antiga e adicionar a nova.